libzypp 17.38.15

zyppng::repo Namespace Reference

## Classes
class | DownloadContext
class | RefreshContext

## Typedefs
using | RawMetadataRefreshPolicy = zypp::RepoManagerFlags::RawMetadataRefreshPolicy
using | RefreshCheckStatus = zypp::RepoManagerFlags::RefreshCheckStatus

## Functions
| ZYPP_FWD_DECL_TYPE_WITH_REFS (DownloadContext)
| ZYPP_FWD_DECL_TYPE_WITH_REFS (RefreshContext)

## Typedef Documentation

## ◆ RawMetadataRefreshPolicy

using zyppng::repo::RawMetadataRefreshPolicy = zypp::RepoManagerFlags::RawMetadataRefreshPolicy

Definition at line 33 of file refresh.h.

## ◆ RefreshCheckStatus

using zyppng::repo::RefreshCheckStatus = zypp::RepoManagerFlags::RefreshCheckStatus

Definition at line 34 of file refresh.h.

## Function Documentation

## ◆ ZYPP_FWD_DECL_TYPE_WITH_REFS() [1/2]

zyppng::repo::ZYPP_FWD_DECL_TYPE_WITH_REFS | ( | DownloadContext |  | ) |

## ◆ ZYPP_FWD_DECL_TYPE_WITH_REFS() [2/2]

zyppng::repo::ZYPP_FWD_DECL_TYPE_WITH_REFS | ( | RefreshContext |  | ) |